org.apache.xmlbeans.impl.xb.xmlschema

## Interface LangAttribute.Lang.Member

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlString, XmlTokenSource

All Known Implementing Classes:
  LangAttributeImpl.LangImpl, LangAttributeImpl.LangImpl.MemberImpl

Enclosing interface:
  LangAttribute.Lang

    public static interface LangAttribute.Lang.Member
    extends XmlString

An anonymous inner XML type. This is an atomic type that is a restriction of org.apache.xmlbeans.impl.xb.xmlschema.LangAttribute$Lang$Member.

### Nested Class Summary

Nested Classes
`static class` `LangAttribute.Lang.Member.Enum` Enumeration value class for org.apache.xmlbeans.impl.xb.xmlschema.LangAttribute$Lang$Member.

### Field Summary

Fields
`static ElementFactory<LangAttribute.Lang.Member>` `Factory`
`static int` `INT_X`
`static SchemaType` `type`
`static LangAttribute.Lang.Member.Enum` `X`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`StringEnumAbstractBase` `getEnumValue()`
`void` `setEnumValue(StringEnumAbstractBase e)`

### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

`getStringValue, setStringValue`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final ElementFactory<LangAttribute.Lang.Member> Factory

#### type

    static final SchemaType type

#### X

    static final LangAttribute.Lang.Member.Enum X

#### INT_X

    static final int INT_X

See Also:
  Constant Field Values

### Method Detail

#### getEnumValue

    StringEnumAbstractBase getEnumValue()

#### setEnumValue

    void setEnumValue(StringEnumAbstractBase e)